Bug 1420743 - @>96DPI Gecko browsers no longer utilize KDE's desktop font configuration since built with GTK3
Summary: @>96DPI Gecko browsers no longer utilize KDE's desktop font configuration sin...
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 34
Hardware: x86_64
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL: https://bugzilla.mozilla.org/show_bug...
Whiteboard: usability regression
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-09 12:48 UTC by Felix Miata
Modified: 2021-05-04 06:39 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 12:33:44 UTC
Type: Bug


Attachments (Terms of Use)
143 DPI Plasma screenshot of Fedora's GTK3 Firefox 51.0.1, Mozilla's GTK2 Firefox ESR 45.7 and Konqueror (589.55 KB, image/png)
2017-02-09 12:48 UTC, Felix Miata
no flags Details
screenshot - 143DPI TDE desktop with Firefox, SeaMonkey, Pale Moon, Konqueror and various apps open (1.07 MB, image/png)
2021-05-04 06:38 UTC, Felix Miata
no flags Details

Description Felix Miata 2017-02-09 12:48:38 UTC
Created attachment 1248807 [details]
143 DPI Plasma screenshot of Fedora's GTK3 Firefox 51.0.1, Mozilla's GTK2 Firefox ESR 45.7 and Konqueror

Description of problem:
Too small UI fonts in Firefox and SeaMonkey in >96DPI Plasma unless DPI forced to match Xorg's DPI via Xft.dpi

Version-Release number of selected component (if applicable):
gtk3 >3.16

How reproducible:
100%

Steps to Reproduce:
1.Try to use Firefox or SeaMonkey with default Xft.dpi setting in >96 DPI Plasma environment
2.
3.

Actual results:
Browser UI fonts much too small

Expected results:
Browser UI fonts match UI fonts in non-GTK3 apps

Additional info:
1-Regression caused by commit specified in upstream bugs that forces otherwise unnecessary and null Xft.dpi value to 96.
2-workarounds:
a.in KDE systemsettings force DPI to match Xorg's (xdpyinfo) DPI, or
b.change Xft.dpi in /etc/X11/Xresources from 96 to match Xorg's (xdpyinfo) DPI, or
c.set Xft.dpi in ~/.Xresources to match Xorg's (xdpyinfo) DPI
3-applies to all Fedoras providing GTK3 library >v3.16
4-nuisance to use workaround(s) when switching among displays of diverse DPIs that formerly was automatically handled by null Xft.dpi.
5-not unique to Fedora, but upstream Gnome and Mozilla bugs are WONTFIX
6-better workaround would be to apply the proposed upstream Gnome patch

Comment 1 Fedora End Of Life 2017-02-28 11:13:46 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 2 Fedora End Of Life 2018-05-03 08:15:11 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2018-05-29 12:33:44 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 Felix Miata 2018-11-05 11:31:43 UTC
Persists through F27, F28 & F29

Comment 5 Felix Miata 2019-05-03 03:49:18 UTC
Still applies in F30.

Comment 6 Ben Cotton 2020-04-30 21:29:08 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Felix Miata 2020-05-01 04:01:00 UTC
Still applies in F32.

Comment 8 Fedora Program Management 2021-04-29 16:50:05 UTC
This message is a reminder that Fedora 32 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 32 on 2021-05-25.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '32'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 32 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Felix Miata 2021-05-04 06:38:29 UTC
Created attachment 1779219 [details]
screenshot - 143DPI TDE desktop with Firefox, SeaMonkey, Pale Moon, Konqueror and various apps open

Comment 10 Felix Miata 2021-05-04 06:39:30 UTC
No detectable improvement as of F34.


Note You need to log in before you can comment on or make changes to this bug.